# Generated by Django 3.2.14 on 2022-07-15 06:36

import django.contrib.postgres.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('document', '0082_auto_20220530_1131'),
    ]

    operations = [
        migrations.AlterField(
            model_name='connectwisepurchaseorderdata',
            name='additional_data',
            field=models.JSONField(default=dict),
        ),
        migrations.AlterField(
            model_name='connectwisepurchaseorderlineitemsdata',
            name='additional_data',
            field=models.JSONField(default=dict),
        ),
        migrations.AlterField(
            model_name='connectwisepurchaseorderlineitemsdata',
            name='tracking_numbers',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True, default=list, size=None),
        ),
        migrations.AlterField(
            model_name='connectwiseserviceticket',
            name='additional_data',
            field=models.JSONField(default=dict),
        ),
        migrations.AlterField(
            model_name='customernotes',
            name='notes_object',
            field=models.JSONField(),
        ),
        migrations.AlterField(
            model_name='ingrampurchaseorderdata',
            name='additional_data',
            field=models.JSONField(default=dict),
        ),
        migrations.AlterField(
            model_name='ingrampurchaseorderdata',
            name='shipping_address',
            field=models.JSONField(default=dict),
        ),
        migrations.AlterField(
            model_name='operationdashboardsettings',
            name='purchase_order_status_ids',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), blank=True, default=list, size=None),
        ),
        migrations.AlterField(
            model_name='operationdashboardsettings',
            name='ticket_status_ids',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), blank=True, default=list, size=None),
        ),
        migrations.AlterField(
            model_name='operationemailtemplatesettings',
            name='extra_config',
            field=models.JSONField(default=dict),
        ),
        migrations.AlterField(
            model_name='salesorderstatussettings',
            name='closed_statuses',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), default=list, size=None),
        ),
        migrations.AlterField(
            model_name='salespurchaseorderdata',
            name='invoice_ids',
            field=models.JSONField(default=list),
        ),
        migrations.AlterField(
            model_name='salespurchaseorderdata',
            name='product_ids',
            field=models.JSONField(default=list),
        ),
        migrations.AlterField(
            model_name='sowdocument',
            name='json_config',
            field=models.JSONField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='sowtemplate',
            name='json_config',
            field=models.JSONField(blank=True, null=True),
        ),
    ]
